/* ==========================================================================
  MENU
  ===========================================================================*/

.menu {

  @include mq('desktop', 'max') {
    position: fixed;
    right: 0;
    top: 0;
    width: 100%;
    height: 100vh;
    padding-top: 30px;
    padding-bottom: 30px;
    max-width: 400px;
    background-color: $color-white;
    z-index: z(menu);
    overflow: auto;
    transform: translateX(100%);
    transition: .3s ease;

    &.menu_open {
      transform: translateX(0%);
      transition: .3s ease;
    }
  }
}

.menu__list {
  display: flex;

  @include mq('desktop', 'max') {
    flex-direction: column;
    align-items: center;
    height: 100%;
  }

  > .menu__item {

    > a {
      display: block;
      text-align: center;

      @include mq('desktop') {
        display: inline-flex;
        padding: 16px;
      }
    }
  }
}

.menu__item {
  

  @include mq('desktop', 'max') {
    display: block;
    width: 100%;
    text-align: center;
  }

  a{
    font-weight: $font-weight-regular;
    font-size: $font-size-primary-smaller;
    font-family: $font-family-third;
    color: $color-black-light;
    text-decoration: none;

    &:hover {
      color: $color-primary-light;
    }

    &:active {

      @include mq('desktop', 'max') {
        color: $color-primary-light;
        background-color: rgba($color-black, .03);
      }
    }

    @include mq('desktop', 'max') {
      padding: 15px 0;
      font-size: $font-size-primary;
    }
  }
}

.menu__item_parent {
  @include mq('desktop') {
    position: relative;

    > a {
      align-items: baseline;
      border-radius: 10px 10px 0 0;

      &::after {
        content: '';
        flex-shrink: 0;
        display: inline-block;
        margin-left: 5px;
        width: 12px;
        height: 7px;
        background: url('data:image/svg+xml,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%2048.8%2027.7%22%3E%3Cpath%20d%3D%22M47.8%205.6c.6-.6%201-1.4%201-2.3%200-.8-.3-1.7-1-2.3-1.3-1.3-3.4-1.3-4.6%200L24.4%2019.8%205.6%201C4.3-.3%202.2-.3%201%201-.3%202.3-.3%204.4%201%205.6l21.1%2021.1c.6.6%201.4%201%202.3%201s1.7-.3%202.3-1L47.8%205.6z%22%2F%3E%3C%2Fsvg%3E') no-repeat center;
        background-size: 100%;
      }
    }

    &:hover {

      > a {
        color: $color-primary-light;
        background-color: $color-gray-light;

        &::after {
          transform: rotate(180deg);
          background: url('data:image/svg+xml,%3Csvg%20id%3D%22%D0%A1%D0%BB%D0%BE%D0%B9_1%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%2048.8%2027.7%22%3E%3Cstyle%3E.st0%7Bfill%3A%23ff0707%7D%3C%2Fstyle%3E%3Cpath%20class%3D%22st0%22%20d%3D%22M47.8%205.6c.6-.6%201-1.4%201-2.3%200-.8-.3-1.7-1-2.3-1.3-1.3-3.4-1.3-4.6%200L24.4%2019.8%205.6%201C4.3-.3%202.2-.3%201%201-.3%202.3-.3%204.4%201%205.6l21.1%2021.1c.6.6%201.4%201%202.3%201s1.7-.3%202.3-1L47.8%205.6z%22%2F%3E%3C%2Fsvg%3E') no-repeat center;
        }
      }

      > .menu__sublist {
        display: block;
      }
    }
  }
}

.menu__sublist {
  @include mq('desktop') {
    position: absolute;
    top: 100%;
    left: 0;
    min-width: 300px;
    display: none;
    padding: 16px;
    border-radius: 0 10px 10px 10px;
    background-color: $color-gray-light;
  }

  a {
    display: block;
    padding: 10px;
  }

  .menu__sublist {
    @include mq('desktop') {
      top: 0;
      left: 100%;
      min-width: 180px;
      border-radius: 10px;
    }
  }

  .menu__item_parent {
    @include mq('desktop') {
      a {
        &::after {
          transform: rotate(-90deg);
        }
      }
    }
  }
}

.menu__sublist_columns {
  @include mq('desktop') {
    column-count: 2;
  }
}

.menu-ovelay {
  position: fixed;
  top:0;
  left: 0;
  right: 0;
  height: 100vh;
  z-index: z(header) - 2;
  background-color: rgba($color-black, .5);
  opacity: 0;
  pointer-events: none;
  transition: .3s ease;

  &.menu-ovelay_visible {
    opacity: 1;
    pointer-events: auto;
    transition: .3s ease;
  }


  @include mq('desktop') {
    display: none;
  }
}

body.locked {
  @include mq('desktop', 'max') {
    overflow: hidden;
  }
}

/* end menu */
